> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bill of Materials Line Item

> This endpoint updates an existing bill of materials line item.

### Body

<ParamField body="id" type="string">
  This is the id of the bill of materials line item.
</ParamField>

<ParamField body="part_number" type="string">
  This is the part number of the bill of materials line item.
</ParamField>

<ParamField body="part_name" type="string">
  This is the part name of the bill of materials line item.
</ParamField>

<ParamField body="quantity" type="number">
  This is the quantity of the bill of materials line item.
</ParamField>

<ParamField body="purchase_supply_type" type="string">
  This is the purchase supply type of the bill of materials line item.
</ParamField>

<ParamField body="bill_of_materials_number" type="string">
  This is the bill of materials number of the bill of materials line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the bill of materials line item.
</ResponseField>

<ResponseField name="bill_of_materials_number" type="string">
  This is the number of the bill of materials to which the line item belongs.
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type or category of the line item.
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part or item included in the bill of materials.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number or code associated with the part or item.
</ResponseField>

<ResponseField name="purchase_supply_type" type="string">
  This is the type or category of the purchase/supply associated with the line item.
</ResponseField>

<ResponseField name="quantity" type="number">
  This is the quantity of the part or item required in the bill of materials.
</ResponseField>

<ResponseField name="status" type="string">
  This is the status or state of the line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/bill_of_materials_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "user_group_id": "example_1",
      "name": "Example 1",
      "mapping": {"40": "213", "134": "386"},
      "properties": {"filterValue": "value"}
  }'
  ```

  ```graphQL GraphQL theme={null}

      mutation (
        $id: uuid
        $bill_of_material_line_item: bill_of_material_line_items_set_input!
      ) {
        update_bill_of_material_line_items(
          where: { id: { _eq: $id } }
          _set: $bill_of_material_line_item
        ) {
          returning {
            id
          }
        }
      }
  ```

  ```javascript Node.js theme={null}

  const update = await stateset.billofmaterialItems.update(
    'bomi_ODkRWQtx9NVsRX'
  );

  ```

  ```python Python theme={null}

  update = stateset.billofmaterialItems.update(
    'bomi_ODkRWQtx9NVsRX'
  )

  ```

  ```ruby Ruby theme={null}

  update = Stateset::BillofmaterialItems.update(
    'bomi_ODkRWQtx9NVsRX'
  )

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "update_bill_of_material_line_items": {
        "returning": [
          {
            "id": "bomi_ODkRWQtx9NVsRX"
          }
        ]
      }
    }
  }

  ```
</ResponseExample>
